For Developers

Fetch Source

GET https://ed.link/api/v2/teams/:team_id/sources/:source_id

Fetches the complete source record, including provider details, configuration parameters, and synchronization status.

Permissions

Requires the sources.read system permission.

Parameters

ParameterTypeRequiredDescription
:team_idUUIDYesThe ID of the team.
:source_idUUIDYesThe ID of the source.

Sample Request

const response = await axios.get(`https://ed.link/api/v2/teams/${team_id}/sources/${source_id}`, {
    headers: {
        authorization: `Bearer ${user_session_token}`
    }
});

Sample Response

{
    "$data": {
        "id": "7b5a19cb-9ea8-4b71-9b16-564ec5ea0b12",
        "created_date": "2024-02-10T14:30:00.000Z",
        "updated_date": "2024-06-15T09:20:00.000Z",
        "name": "Oakridge School District Canvas",
        "state": "active",
        "provider": { "id": "035d6dd6-1569-47b2-8ed8-63435be58078", "name": "Canvas" },
        "team": { "id": "6a9e99a8-e165-4d0d-9b7d-6062a4be682d" },
        "configuration": {
            "url": "https://oakridge.instructure.com"
        }
    }
}